Bug 1577545 - mod_nss-1.0.16-5.1.fc28 update messed with nss.conf, broke FreeIPA install
Summary: mod_nss-1.0.16-5.1.fc28 update messed with nss.conf, broke FreeIPA install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_nss
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 22:28 UTC by James
Modified: 2019-02-27 14:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 14:45:31 UTC
Type: Bug


Attachments (Terms of Use)

Description James 2018-05-12 22:28:27 UTC
Description of problem:
I have a FreeIPA installation with Apache. I updated to mod_nss-1.0.16-5.1.fc28 and this put in (or modified?) /etc/httpd/conf.d/nss.conf in such a way that it broke httpd:


[Sat May 12 23:06:52.221471 2018] [:error] [pid 2758:tid 139639639427328] Password for slot internal is incorrect.
[Sat May 12 23:06:52.226623 2018] [:error] [pid 2758:tid 139639639427328] NSS initialization failed. Certificate database: /etc/httpd/alias.
[Sat May 12 23:06:52.226681 2018] [:error] [pid 2758:tid 139639639427328] SSL Library Error: -8177 The security password entered is incorrect


I removed nss.conf and it was happy and FreeIPA came back up.


Version-Release number of selected component (if applicable):
mod_nss-1.0.16-5.1.fc28

Comment 1 Rob Crittenden 2018-06-22 13:22:27 UTC
IPA is now using mod_ssl to provide TLS in Apache.

If you aren't using mod_nss then you are best off removing the package.

And note that simply removing the file is not sufficient as rpm will re-add it the next time mod_nss is updated.


Note You need to log in before you can comment on or make changes to this bug.